Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.impl
Class TableLayoutCell

Represents a cell in a table layout.

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`Logger` | `LOG`
`String` | `align`
`boolean` | `colfill`
`int` | `colspan`
`Component` | `component`
`GridBagConstraints` | `constraints`
`TableLayoutRow` | `parent`
`boolean` | `rowfill`
`int` | `rowspan`
`String` | `valign`

Constructor Summary
`TableLayoutCell(TableLayoutRow parent)`

Method Summary
`void` | `addComponent(Component component)`
`GridBagConstraints` | `createConstraints()`
`int` | `getAnchor()`
`int` | `getColspan()`
`Component` | `getComponent()`
`GridBagConstraints` | `getConstraints()`
`int` | `getRowspan()`
`boolean` | `isColfill()` Returns the colfill.
`boolean` | `isRowfill()` Returns the rowfill.
`void` | `setAlign(String align)`
`void` | `setColfill(boolean colfill)` Sets whether or not this column should allow its component to stretch to fill the space available
`void` | `setColspan(int colspan)` Sets the number of columns that this cell should span.
`void` | `setRowfill(boolean rowfill)` Sets whether or not this row should allow its component to stretch to fill the space available
`void` | `setRowspan(int rowspan)` Sets the number of rows that this cell should span.
`void` | `setValign(String valign)`

Constructor Detail

### TableLayoutCell

    public TableLayoutCell(TableLayoutRow parent)

Method Detail

### addComponent

    public void addComponent(Component component)

### createConstraints

    GridBagConstraints createConstraints()

### getAnchor

    int getAnchor()

  return:
    the GridBagConstraints enumeration for anchor

### getColspan

    public int getColspan()

### getComponent

    public Component getComponent()

### getConstraints

    public GridBagConstraints getConstraints()

  return:
    the constraints of this cell

### getRowspan

    public int getRowspan()

### isColfill

    public boolean isColfill()

  Returns the colfill.
  return:
    boolean

### isRowfill

    public boolean isRowfill()

  Returns the rowfill.
  return:
    boolean

### setAlign

    public void setAlign(String align)

### setColfill

    public void setColfill(boolean colfill)

  Sets whether or not this column should allow its component to stretch to fill the space available

### setColspan

    public void setColspan(int colspan)

  Sets the number of columns that this cell should span. The default value is 1

### setRowfill

    public void setRowfill(boolean rowfill)

  Sets whether or not this row should allow its component to stretch to fill the space available

### setRowspan

    public void setRowspan(int rowspan)

  Sets the number of rows that this cell should span. The default value is 1

### setValign

    public void setValign(String valign)